#!/bin/bash

PARAMS="$*" # all parameters for ./handler from billing
LOG='/var/log/billing/handler.log' # no comments


# flushing variables
ACTION=''
REASON=''
SESSION=''
LOGIN=''
NAS=''
IP=''
NET=''
SHAPE=''
OLDSHAPE=''
BNGNAME=''
MAC=''
PASSWORD=''
OLDBLOCKED=''
BLOCKED=''
USERNAME=''
VGLOGIN=''


log()
{
    echo "[`date +'%d-%m-%Y %H:%M:%S'`] - $1 [$PARAMS]" >> $LOG # log error events
}

# for debug purposes
#log_error "DEBUG"

# parsing handler parameters
while [ -n "$1" ]
do
    case $1 in
    "--action")
        ACTION=$2
        ;;
    "--reason")
        REASON=$2
        ;;
    "--session")
        SESSION=$2
        ;;
    "--login")
        LOGIN=$2
        ;;
    "--nas")
        NAS=$2
        ;;
    "--ip")
        IP=$2
        ;;
    "--net")
        NET=$2
        ;;
    "--shape")
        SHAPE=$2
        ;;
    "--oldshape")
        OLDSHAPE=$2
        ;;
    "--opt-bng-name")
        BNGNAME=$2
        ;;
    "--mac")
        MAC=$2
        ;;
    "--password")
        PASSWORD=$2
        ;;
    "--oldblocked")
        OLDBLOCKED=$2
        ;;
    "--blocked")
        BLOCKED=$2
        ;;
    "--user-name")
        USERNAME=$2
        ;;
    "--vg-login")
        VGLOGIN=$2
        ;;
    *)
        log_error "Unknown parameters: $1, $2"
        ;;
    esac

    shift 2
done


case $ACTION in
    "stop")
        echo "1" > /dev/null
        ;;
    "isg-stop")
        echo "1" > /dev/null
        ;;
    "quota")
        echo "1" > /dev/null
        ;;
    "start")
        echo "1" > /dev/null
        ;;
    "edit")
        echo "1" > /dev/null
        ;;
    "off")
        echo "1" > /dev/null
        ;;
    "on")
        echo "1" > /dev/null
        ;;
    "create")
        echo "1" > /dev/null
        ;;
    "delete")
        echo "1" > /dev/null
        ;;
    *)
        log_error "Unknown action $action"
        ;;
esac

